-- 2013 TARDIS

local T={}
T.Base="base"
T.Name="2013 TARDIS"
T.ID="Smith"
T.Interior={
	Model="models/doctorwho1200/toyota/interior.mdl",
	Portal={
	pos=Vector(-335,0,139),
	ang=Angle(0,0,0),
	width=50,
	height=92
	},

Sequences="smith_sequences",
	
	Fallback={
		pos=Vector(-310,0,105),
		ang=Angle(0,0,0)
	},

	Light={
		color=Color(0,255,255),
		warncolor=Color(200,0,0),
		pos=Vector(0,0,-30),
		brightness=4
	},

	IdleSound={
		{
			path="doctorwho1200/toyota/interior_idle_loop.wav",
			volume=1
		}
	},

	Parts={
        console={
            model="models/doctorwho1200/toyota/consolesmith.mdl"
		},
	dtsmithwalls=true,
	dtsmithrotors=true,
	dtsmithroundels=true,
	dtsmithroundels2={ang=Angle(0,100,0)},
	dtsmithroundels3={ang=Angle(0,-100,0)},
	dtsmithrails=true,
	dtsmithfloor=true,
	dtsmithdetails=true,
	dtsmithdetails1=true,
	dtsmithdetails2={ang=Angle(0,199,0)},
	dtsmithlights=true,
	dtlightssmith1=true,
	dtsmithlowtrim=true,
	dtsmithstruts=true,
	dtsmithgears=true,
	dtsmithkey=true,
	dtsmithcwlights=true,
	dtsmithhandbrake=true,
	dtsmithballs=true,
	dtsmithduttons=true,
	dtsmithglass=true,
	dtsmithdutton=true,
	dtsmithdutton2={pos=Vector(0,9.4,0)},
	dtsmithcrank=true,
	dtsmithcrank2=true,
	dtsmithcrank3=true,
	dtsmithcrank4=true,
	dtsmithcrank5=true,
	dtsmithcrank6=true,
	dtsmithcranks=true,
	dtsmithcranks2={ang=Angle(0,199,0)},
	dtsmithflippers=true,
	dtsmithlever=true,
	dtsmithlever2={pos=Vector(0,26.55,0)},
	dtsmithlever3=true,
	dtsmithlever4={ang=Angle(0,199,0)},
	dtsmithlever5=true,
	dtsmithlevers=true,
	dtsmithphone=true,
	dtsmithrooms=true,
	dtsmithintdoors=true,
	dtsmithkeyboard=true,
	dtsmithaudiosystemsmith=true,
	dtsmithmonitorsmith=true,
	dtsmithscanner=true,
	dtsmithsliders=true,
	dtsmithswitch=true,
	dtsmithswitch2=true,
	dtsmithswitches=true,
	dtsmithswitches2=true,
	dtsmithswitches3={pos=Vector(0,11.85,0)},
	dtsmithtelepathic=true,
	dtsmiththrottle=true,
	dtsmithtoggles=true,
	dtsmithtoggles2=true,
	dtsmithtumblers=true,
	dtsmithtrim=true,
		door={
			model="models/doctorwho1200/toyota/doors.mdl",posoffset=Vector(-1,0,-52),angoffset=Angle(0,180,0)
		},
	},

	Sounds={
		Teleport={
			demat="doctorwho1200/toyota/demat1.wav",
			mat="doctorwho1200/toyota/mat.wav"
		},
		Power={
            On="doctorwho1200/toyota/powerup.wav",
            Off="doctorwho1200/toyota/powerdown.wav"
        },
		FlightLoop="doctorwho1200/toyota/flight_loop.wav",
		Door={
			enabled=true,
			open="doctorwho1200/toyota/doorext_open.wav",
			close="doctorwho1200/toyota/doorext_close.wav"
		},
		Lock="doctorwho1200/toyota/lock.wav"
	},
	ExitDistance=2200
}
T.Exterior={
	Model="models/doctorwho1200/toyota/2013exterior.mdl",
	Mass=2900,
	Portal={
		pos=Vector(27.7,0,52.14),
		ang=Angle(0,0,0),
		width=50,
		height=92
	},
	Fallback={
		pos=Vector(35,0,5),
		ang=Angle(0,0,0)
	},
	Light={
		enabled=true,
		pos=Vector(0,0,122),
		color=Color(255,228,91)
	},
	Sounds={
		Teleport={
			demat="doctorwho1200/toyota/dematext.wav",
			mat="doctorwho1200/toyota/matext.wav"
		},
		FlightLoop="doctorwho1200/toyota/flight_loopext.wav",
		Door={
			enabled=true,
			open="doctorwho1200/toyota/doorext_open.wav",
			close="doctorwho1200/toyota/doorext_close.wav"
		},
		Lock="doctorwho1200/toyota/lock.wav"
	},

	Parts={
		door={
			model="models/doctorwho1200/toyota/doorsext.mdl",posoffset=Vector(-1,0,-51.9),angoffset=Angle(0,0,0)
		},
		vortex={
			model="models/doctorwho1200/toyota/2013timevortex.mdl",
			pos=Vector(0,0,0),
			ang=Angle(0,180,0),
			scale=10
		}
	},
	Teleport={
        SequenceSpeed=0.63,
		SequenceSpeedFast=1, -- How fast the TARDIS will go through these values - note the sound file doesn't automatically allign with this.
        DematSequence={
            150,
            200,
            100,
            150,
            50,
            100,
            0
        },
        MatSequence={
            100,
            50,
            150,
            100,
            200,
            150,
            255
        }
    },
}

TARDIS:AddInterior(T)